make.clean.html
Prev | HTML | Next

## make.clean.html

make.clean.html — Make HTML conform to modern coding standards

## Synopsis

    <xsl:param name="make.clean.html" select="0"></xsl:param>

## Description

If `make.clean.html` is true, the stylesheets take extra effort to ensure that the resulting HTML is conforms to modern HTML coding standards. In addition to eliminating excessive and noncompliant coding, it moves presentation HTML coding to a CSS stylesheet.

The resulting HTML is dependent on CSS for formatting, and so the stylesheet is capable of generating a supporting CSS file. The `docbook.css.source` and `custom.css.source` parameters control how a CSS file is generated.

If you require your CSS to reside in the HTML `head` element, then the `generate.css.header` can be used to do that.

The `make.clean.html` parameter is different from `html.cleanup` because the former changes the resulting markup; it does not use extension functions like the latter to manipulate result-tree-fragments, and is therefore applicable to any XSLT processor.

If `make.clean.html` is set to zero (the default), then the stylesheet retains its original “old style” HTML formatting features.

Prev | Up | Next
generate.meta.abstract | Home | docbook.css.source